TEMPLATE = app

QT     += core
QT     += network
QT     += sql
QT     -= gui

TARGET = kembossd-admin
CONFIG += console
CONFIG -= app_bundle

exists(crypto.prf) {
    # our apps should build against the qca in this tree
    include(crypto.prf)
} else {
    # attempt to use system-wide qca
    CONFIG *= crypto
}

SOURCES += main.cpp \
        ../kembossd/sql.cpp \
        ../kembossd/simplecrypt.cpp \
        ../kembossd/ksshared.cpp \
        ../shared.cpp \
    configure.cpp

HEADERS += main.h \
        ../kembossd/sql.h \
        ../kembossd/simplecrypt.h \
        ../kembossd/ksshared.h \
        ../shared.h \
    configure.h \
    ../main.h

CONFIG(release, debug|release){
    message("Building in release mode")
    DEFINES += QT_NO_DEBUG_OUTPUT
    OBJECTS_DIR = ./release
    MOC_DIR = ./release
    RCC_DIR = ./release
    UI_DIR = ./release
    unix : TARGET = ./../../kembossd-admin
    win32 : TARGET = ../../../kembossd-admin
} else {
    message("Building in debug mode")
    OBJECTS_DIR = ./debug
    MOC_DIR = ./debug
    RCC_DIR = ./debug
    UI_DIR = ./debug
    unix : TARGET = ./../../kembossd-admin_debug
    win32 : TARGET = ../../../kembossd-admin_debug
}

unix : target.path = /usr/local/bin

unix : INSTALLS += target
