/***************************************************************************
 *                                                                         *
 *   kemboss - Graphical user interface for EMBOSS                         *
 *                                                                         *
 *   Copyright (C) 2007-2020 Tobias Schwarz (mail@tobias-schwarz.net)      *
 *                                                                         *
 *   Based on the EMBOSS.kaptn scripts by Thomas Siegmund                  *
 *                                                                         *
 *   This program is free software; you can redistribute and/or modify     *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version, and provided that the above       *
 *   copyright and permission notice is included with all distributed      *
 *   copies of this or derived software.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 **************************************************************************/

#ifndef RUNEMBOSSAPPLOCAL_H
#define RUNEMBOSSAPPLOCAL_H

#include <QProcess>

#include "settings.h"
#include "runEmbossApp.h"

class krunEmbossAppLocal : public krunEmbossApp
{
   Q_OBJECT

public:
    krunEmbossAppLocal(QWidget *parent = nullptr, kembossSettings *fksettings = nullptr);
    virtual ~krunEmbossAppLocal() {}
    virtual bool runApp();

private slots:
    virtual void updateProgramProgressForm();
    virtual void processFinished(int exitCode);
    virtual void killProcess();

private:
    QProcess programProcess;
    // Process to start external EMBOSS app
    bool checkEmbossApp();
    // On local EMBOSS installations, check if EMBOSS program binary exists
};

#endif // RUNEMBOSSAPPLOCAL_H
